### Method

# EDataServer Source mail_signature_load_finish

since: 3.6

#### Declaration [src]

    gboolean
    e_source_mail_signature_load_finish (
      ESource* source,
      GAsyncResult* result,
      gchar** contents,
      gsize* length,
      GError** error
    )

#### Description [src]

Finishes an operation started with e_source_mail_signature_load(). The signature file contents are placed in `contents`, and `length` is set to the size of the `contents` string. The `contents` string should be freed with `g_free()` when no longer needed.

Available since: 3.6

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`contents`

  Type: `gchar**`

  Return location for the signature content.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gsize*`

  Return location for the length of the signature content, or `NULL` if the length is not needed.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on failure.